Bug 150192 - rhn_check fails with python traceback
rhn_check fails with python traceback
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: rhnlib (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mihai Ibanescu
Red Hat Satellite QA List
:
Depends On:
Blocks: 147875
  Show dependency treegraph
 
Reported: 2005-03-03 10:56 EST by Marty Shannon
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-17 11:45:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marty Shannon 2005-03-03 10:56:14 EST
Description of problem:
rhn_check fails with python traceback

Version-Release number of selected component (if applicable):
rhnlib-1.8-6.p23

How reproducible:
completely; cannot proceed!

Steps to Reproduce:
1. register with rhn
2. update system at rhn web page
3. run rhn_check on system
  
Actual results:
traceback when determining whether to download kernel(s):
# rhn_check -v
errata.update ([2715],)

Name                                    Version        Rel
----------------------------------------------------------

The following Packages were marked to be skipped by your configuration:

Name                                    Version        Rel  Reason
-------------------------------------------------------------------------------
kernel                                  2.6.9          5.0.3.ELPkg
name/pattern
[RHSA-2005:092-14] Updated kernel packages that fix several security
issues are now available for Red Hat Enterprise Linux 4. This update
has been rated as having important security impact by the Red Hat
Security Response Team.

kernel-smp                              2.6.9          5.0.3.ELPkg
name/pattern
[RHSA-2005:092-14] Updated kernel packages that fix several security
issues are now available for Red Hat Enterprise Linux 4. This update
has been rated as having important security impact by the Red Hat
Security Response Team.


Traceback (most recent call last):
  File "/usr/sbin/rhn_check", line 346, in ?
    handle_action(action)
  File "/usr/sbin/rhn_check", line 219, in handle_action
    (status, message, data) = run_action(method, params)
  File "/usr/sbin/rhn_check", line 174, in run_action
    (status, message, data) = do_call(method, params)
  File "/usr/sbin/rhn_check", line 91, in do_call
    retval = apply(method, params)
  File "/usr/share/rhn/actions/errata.py", line 58, in update
    return packages.update(packagelist)
  File "/usr/share/rhn/actions/packages.py", line 359, in update
    ret = _catchErrors(batchRun, "packages.update", (0, pkgList))
  File "/usr/share/rhn/actions/packages.py", line 195, in _catchErrors
    ret = apply(method, args)
  File "/usr/share/rhn/actions/packages.py", line 398, in batchRun
    actionPkgs = pkgList)
  File "/usr/share/rhn/up2date_client/wrapper.py", line 1177, in batchRun
    batch.applicableSskippedPackages)
AttributeError: BatchRun instance has no attribute
'applicableSskippedPackages'

Expected results:
successful download (not install) of new kernels

Additional info:
it appears there's a typo: should be 'applicableSkippedPackages', not
'applicableSskippedPackages' (note "Sskipped" with "Ss").
Comment 1 Mihai Ibanescu 2005-05-17 11:45:02 EDT
This should be fixed in the up2date erratum that we released. Please try to get
the latest up2date and reopen this if it still fails.

Note You need to log in before you can comment on or make changes to this bug.